
Figure - Bug #115105
【BSP】【EVT2】【BT】【蓝牙】播放音乐时，蓝牙音响电量持续变化
2023-01-05 18:14 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2023-01-05

Priority: High Due date: 2023-02-03

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0066.X101

Resolution: WONTFIX Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 根据蓝牙兼容设备测试https://thundersoft.feishu.cn/sheets/shtcnVJTQWsgNI08ItLeFcz4oIc��未复现该问题，因此判断为单机耳机问题，所以关闭此问题

Description

【前提条件】

1.链接蓝牙音响，且蓝牙音响电量介于70%~80%

【测试步骤】

1.DUT连接个蓝牙音响

2.进入音乐播放音乐，查看当前播放音乐的蓝牙耳机

3.进入状态栏

4.查看当前状态栏蓝牙图标及电量正常显示

【预期结果】

4.状态栏有蓝牙已连接图标，电量正常显示

【实际结果】

4.状态栏有蓝牙已连接图标，电量反复变化70%-80%

【蓝牙音响】：Shinco

【复现概率次数】3/3

【对比机】联想平板无此现象，对比后再次链接DUT仍然复现

History

#1 - 2023-01-05 18:56 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW 曹覃刚

#2 - 2023-01-09 17:41 - CD FW 曹覃刚

- Category changed from AUDIO-FW to CD-FW

#3 - 2023-01-10 09:48 - CD FW 曹覃刚

- Category changed from CD-FW to LC

- Assignee changed from CD FW 曹覃刚 to CD LC 陶洪普

Hi 洪普

控制中心每次下拉都会去获取蓝牙的音量并更新到UI上

---------------
            CachedBluetoothDevice lastDevice = connectedDevices.get(0);

            final int batteryLevel = lastDevice.getBatteryLevel();

---------------

蓝牙音量从下列方法中获取，但是获取的音量时高时低，请帮助检查

http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/frameworks/base/core/java/android/bluetooth/BluetoothDev

ice.java

---------------

    public int getBatteryLevel() {

        final IBluetooth service = sService;

        if (service == null) {

            Log.e(TAG, "Bluetooth disabled. Cannot get remote device battery level");

            return BATTERY_LEVEL_BLUETOOTH_OFF;

        }

        try {

            return service.getBatteryLevel(this, mAttributionSource);

        } catch (RemoteException e) {

            Log.e(TAG, "", e);

        }

        return BATTERY_LEVEL_UNKNOWN;

    }

---------------

#4 - 2023-01-12 00:32 - CD LC 陶洪普

- Status changed from New to ASSIGNED

Start checking.

复现是否是音响每次查询的电量上报有差异．

#5 - 2023-01-13 00:19 - CD LC 陶洪普

- Due date set to 2023-01-20

#6 - 2023-01-16 01:46 - CD LC 陶洪普

更新：

01-05 06:26:23.610 11319 11319 D BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 80%

01-05 06:26:23.610 11319 11319 I BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 80%

01-05 06:26:41.488 11319 11319 D BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 70%

01-05 06:26:41.488 11319 11319 I BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 70%

01-05 06:26:44.028 11319 11319 D BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 80%

01-05 06:26:44.028 11319 11319 I BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 80%

在连接该音箱设备，查看设备电量，在80%，70%间交叉更新。

与测试确认，该现象只在该特定设备下存在，在70%~80%间时，出现该问题。

从日志看，是远端设备上报的电量不同。

下一步，抓取对比设备的日志分析。

#7 - 2023-01-30 14:07 - CD LC 陶洪普

从日志看，是音箱在电量70%~80%阶段，上报的电量反复。
联想平板无此现象

确认平台正常的原因中。

#8 - 2023-02-02 23:49 - CD LC 陶洪普

- File logcat-lenovo-Device.txt added

#9 - 2023-02-02 23:51 - CD LC 陶洪普

- File Video-Lenovo-Device.mp4 added

#10 - 2023-02-02 23:59 - CD LC 陶洪普

- Due date changed from 2023-01-20 to 2023-02-03

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 王成

Hi 王成，刘勇

分析Figure设备日志，显示是音响上报的电量短时间内有变化70%-90%-80%

01-12 21:02:06.334 13018 13018 D BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 80%

01-12 21:02:06.334 13018 13018 I BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 80%

01-12 21:02:10.989 13018 13018 D BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 70%

01-12 21:02:10.990 13018 13018 I BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 70%

01-12 21:02:13.486 13018 13018 D BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 90%

01-12 21:02:13.486 13018 13018 I BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 90%

01-12 21:02:16.089 13018 13018 D BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 80%

01-12 21:02:16.089 13018 13018 I BluetoothRemoteDevices: Updated device 11:F5:F4:BC:88:3E battery level to 80%

请参考log

logcat-lenovo-Device.txt

请参照Lenovo视频　Video-Lenovo-Device.mp4

该问题非Figure设备问题，是Shinco音响问题．　请确认，谢谢！

#11 - 2023-02-06 16:19 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

#12 - 2023-02-09 14:41 - 移动测试一组_CDTS 刘强

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

- Root cause set to 根据蓝牙兼容设备测试https://thundersoft.feishu.cn/sheets/shtcnVJTQWsgNI08ItLeFcz4oIc

未复现该问题，因此判断为单机耳机问题，所以关闭此问题

根据蓝牙兼容设备测试https://thundersoft.feishu.cn/sheets/shtcnVJTQWsgNI08ItLeFcz4oIc

未复现该问题，因此判断为单机耳机问题，所以关闭此问题

#13 - 2023-02-09 14:41 - 移动测试一组_CDTS 刘强
- Status changed from RESOLVED to VERIFIED

#14 - 2023-02-09 14:41 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

BT_quantity-of-VX1-Change.txt 6.7 MB 2023-01-05 CDTS_TEST 刘勇

BT_quantity-of-VC1-Change.txt 7.38 MB 2023-01-05 CDTS_TEST 刘勇

蓝牙音响音量反复变化.mp4 2.16 MB 2023-01-05 CDTS_TEST 刘勇

logcat-lenovo-Device.txt 3.69 MB 2023-02-02 CD LC 陶洪普

Video-Lenovo-Device.mp4 5.24 MB 2023-02-02 CD LC 陶洪普
